How to toggle SubD display? SubDDisplayToggle

I try with this script but nothing happened:

import Rhino as rh

print rh.RhinoDoc.ActiveDoc.SubDAppearance

if x == True:
    rh.RhinoDoc.ActiveDoc.SubDAppearance.ControlNet

if x == False:
    rh.RhinoDoc.ActiveDoc.SubDAppearance.Surface

rh.RhinoDoc.ActiveDoc.Views.Redraw()

try this:

rh.RhinoDoc.ActiveDoc.SubDAppearance = rh.RhinoDoc.ActiveDoc.SubDAppearance.ControlNet
1 Like

Thanks @Gijs

Is there a way to make it work with Grasshopper subd geometries?

does it need to be code? Otherwise Iā€™d say something like this:

image

Thanks but i mean changing the display automatically, with all exist subd geometries in Rhino without need to plug anything like meshes.